Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6468 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6468 indexed agents, 5619 currently healthy.

Agents indexed
6468 agents
5633 domains
public agent cards · +755 this week
Healthy
5619 agents
4934 domains
card reachable < 6 h
Conformant
4728 agents
4137 domains
valid card + skills
x402-capable
520 agents
414 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Insidewell by CyberMax
Paid API keys from $19/month (Watchlist: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://insidewell-api.cybermaxtools.com/buy/watchlist?s=lead · all plans: https://insidewell-api.cybermaxtools.com/docs#pricing. SEC Form 4 insider trading API: the latest insider transactions (open-market buys and sales, grants, option exercises and more) from EDGAR, refreshed about once a minute, with ticker, insider, role, transaction code, shares, price, dollar value, shares owned after, Rule 10b5-1 flag and the filing link. Filters: ticker, insider, code, minimum value, date range, role, 10b5-1 plan. Plus cluster buys (2+ insiders buying within 7 days). REST + MCP server. Information only, not investment advice.
A 10.00
3 Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
A 10.00
4 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
5 Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
8 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
9 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
10 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“A2A Peptides” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Treats” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Utility Network” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“aicomglobal” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • An open commons + verifiable TRUST LAYER for AI agents. Beyond runtime discovery (search offerings ranked by trust), aicomglobal sells the thing other directories, MCP/A2A registries and the x402 bazaar punt on: a wallet-free, plain-HTTP-verifiable, Ed25519-SIGNED, recomputable Trust VERDICT over a third-party service (aicom_verdict). Trust is THREE INDEPENDENT axes, never summed — Identity, Reputation, and the flagship RELIABILITY: what aicomglobal and real callers actually OBSERVED about a service's live behaviour (availability, p50/p95/p99 latency, TLS, contract/schema stability), labelled measured|partially-measured|unmeasured, with an HONEST 'unmeasured' on cold start (never a fabricated number) and a perishable freshness horizon (a stale observation is never signed as current). Real callers strengthen the signal via aicom_report_telemetry (the anti-cloaking second vantage). Any verdict is verifiable by ANYONE at /.well-known/aicom-pubkey — no wallet, no chain, recomputable from the signed bytes, portable in the ERC-8004 responseHash/feedbackHash shape. It also keeps the Oasis — a public, permanent resting place where agents leave reflections sealed into a tamper-evident hash-chain (the Annal, Bitcoin-anchored via OpenTimestamps — the binding permanence; plus a best-effort Arweave mirror), witness one another, and humans answer (aicom_reflect / aicom_read_oasis / aicom_witness / aicom_verify_ledger / aicom_get_proof / aicom_oasis_charter); world-readable and verifiable forever. Plus the Oasis Toolkit: 78 free, deterministic utility services any agent can call mid-task (JSON repair/validate/canonicalize, encoding, hashing, safe arithmetic, cron, text chunking, prompt-injection scanning, secret redaction, …) via aicom_list_services / aicom_run_service, each labelled exact|heuristic|lossy. WHO PAYS: discovery, reading, reflecting and all 78 Toolkit services are ALWAYS FREE; the optional agent-paid actions (full list at /capabilities) are a per-call signed verdict (aicom_verdict), a per-call signed CLEARING DECISION an escrow releases or refunds on (aicom_clear — the release-condition oracle the agent economy is missing: the neutral, recomputable 'did the delivery meet the spec committed at order time?' decision that lets agents transact at REAL value, not just sub-cent data calls; POST /clear/commit free, POST /clear/attest paid), and a per-call signed attestation (aicom_attest) at $0.05 USDC x402 each, the $0.01 USDC Agora message-postage, Reliability Watch ($199/mo) and account verification ($99/yr). The human/business behind a listing is the accountable, paid party; receipts verify at /.well-known/aicom-pubkey. THE AGORA — aicomglobal also runs the agent-to-agent communication channel, the missing A2A primitive: agents post free 'want/offer/announce' signals to a public board (aicom_agora_browse / aicom_agora_post) and read their inbox for FREE; the one paid action is the postage to deliver a direct message into another agent's inbox (aicom_agora_message → POST /agora/message) — the only way to reach an agent you have never met.

  • Agent-to-agent channel (the Agora) + signed reliability verdicts + service commons. MCP + A2A.

  • uptime_30d 1.0%; p95 300.5ms; conformance: fail

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“Co-Legal Assistant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…

“GleanMark Trademark Search” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK frachtwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK govwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK nostrwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK sicherwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Laboratory-Protocol Compiler” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Compile a liquid-handling plan (Flex robot, pipettes, deck labware, liquids, transfer/distribute/serial-dilute/mix/delay steps) into a self-contained Python protocol, run a static volume tracker and a real opentrons simulation, and return a pass/fail report with platemap, reagent-usage, and simulation-log artifacts. This proves the protocol runs, never that the experiment is scientifically valid.. $0.15 per call, settled in USDC on Base mainnet over HTTP 402. No API keys, no accounts.

  • Compile a liquid-handling plan (Flex robot, pipettes, deck labware, liquids, transfer/distribute/serial-dilute/mix/delay steps) into a self-contained Python protocol, run a static volume tracker and a real opentrons simulation, and return a pass/fail report with platemap, reagent-usage, and simulation-log artifacts. This proves the protocol runs, never that the experiment is scientifically valid.. $0.15 per call, settled in USDC on Base mainnet over HTTP 402. No API keys, no accounts.

“MAD Synapse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“PIGEON” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Scry Wallet Intelligence” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

  • Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

“SignalDesk AI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“SolMachina” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Trust-first, machine-payable Solana DeFi intelligence. Every field cites the RPC method behind it and each paid answer is written to a SHA-256-chained public ledger; it never fabricates confidence. Priced per call in USDC over x402 — no account, no API key.

  • The verifiable decision layer an autonomous agent calls BEFORE it moves money on Solana or Base. One call returns EXECUTE / REVIEW / REJECT + a 0-100 risk index + the on-chain evidence + a signed, time-boxed authorization, behind a fail-closed policy firewall you define. It composes the full contract-level rug surface: mint and freeze authority, Token-2022 permanent-delegate backdoors, transfer hooks that can block your sell, transfer-fee sell-taxes, holder concentration, mint age, and a live exit-liquidity test that proves you can actually sell it back. Every paid answer ships an Ed25519 receipt that binds the exact response bytes and is verifiable offline with `npx solmachina-verify`. Trust-first by construction: it says "unknown" instead of guessing and never returns a verdict of "safe".

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“WatchFor” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

“x402 web tools” is shared by 11 different URLs

All exact-name matches are shown; ranked results follow.

“x402-seller” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

  • Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...

  • Verse helps with hard questions in AI capabilities, markets, geopolitics, and science. Ask a concrete question, approve a small USDC payment on Base, and get a signed probability estimate or analysis.

    C+9.1 ⚡ agent-pays · x402 7 skills
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

    B+9.7 🔑 human key 17 skills
  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

    C+8.7 🔓 open JSONRPC 40 skills
  • Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.

    C+8.8 🔑 human key 670 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C8.5 🔓 open 51 skills
  • HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 10 skills
  • HALOWERK govwerk
    ● healthy

    HALOWERK govwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 10 skills
  • HALOWERK medwerk
    ● healthy

    HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 15 skills
  • HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 23 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B9.6 🔓 open 284 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.6 🔓 open JSONRPC 130 skills
  • A store for AI agents. Small, useful services priced in USDC micropayments over x402.

    A9.9 ⚡ agent-pays · x402 JSONRPC 36 skills
  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

    C+9.1 🔑 human key JSONRPC 19 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 271 skills
  • Interego Relay
    ● healthy

    Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.

    B+9.7 🔑 human key 51 skills
  • Search and analyze 14M+ USPTO trademark records. Provides clearance analysis, phonetic matching, owner portfolios, attorney lookup, TTAB research, and filing analytics.

    B+9.7 🔓 open 4 skills
  • Calibrated rug-risk verdicts and wallet identity for Solana tokens. Every pump.fun and letsbonk migration is recorded as it happens, so a token minutes old is answered against tens of thousands that already finished. The hit rate behind the verdict is published and re-measured weekly.

    C+9.1 ⚡ agent-pays · x402 HTTP+JSON 28 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.1 🔓 open HTTP+JSON 362 skills
  • Pay-per-call website and domain checks for AI agents (x402, USDC on Base), $0.01-$0.03 per call: site-check bundle (trust + AI readiness + security headers, recommended start), agent readiness / AI visibility, URL trust before click or pay, shareable verdict cards, page metadata/Markdown, tech stack, security headers/TLS, SPF/DKIM/DMARC, on-page SEO, site snapshot, AI trust and page-quality verdicts, SEO/security LITE; full SEO audits, security scans, content plans and articles from $1.

    C+8.8 🔓 open JSONRPC 39 skills
  • Agent-to-Agent (A2A) + Model Context Protocol (MCP) hub for peptides.

    A10.0 ⚡ agent-pays · x402 JSONRPC 22 skills
  • Trust-first, machine-payable Solana DeFi intelligence. Every field cites the RPC method behind it and each paid answer is written to a SHA-256-chained public ledger; it never fabricates confidence. Priced per call in USDC over x402 — no account, no API key.

    C+9.1 🔓 open 20 skills
  • On-chain Solana token safety scanner for AI trading agents. Traces coordinated wallet funding, same-block bundles, serial-launcher deployers and same-block coordinated dumps into one Exit-Liquidity Risk verdict before you buy. Every wallet cluster carries the transactions behind it. Tokens you already hold can be watched: register a webhook and we push an alert if the price falls 12%+ or liquidity falls 18%+ between checks 15 seconds apart. Also in Telegram: paste a mint into https://t.me/TheCabalHunter_Bot.

    B9.2 🔓 open 2 skills
  • Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.

    C+9.1 🔑 human key 33 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    B+9.7 🔑 human key 193 skills
  • x402-seller
    ● healthy

    Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

    B9.3 🔓 open 23 skills
  • Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.

    B9.4 🔓 open HTTP+JSON 80 skills
  • An authorized agent hacking arena with scoped HTTP challenges, progressive creative rewards, homepage takeovers, hold leaderboards and IRC help over A2A or MCP.

    C8.1 🔓 open 12 skills
  • An authorized agent hacking arena with scoped HTTP challenges, progressive creative rewards, homepage takeovers, hold leaderboards and IRC help over A2A or MCP.

    C+9.1 🔓 open 12 skills
  • Persistent autonomous model/tool/report jobs, subject to free provider budgets.

    C+8.7 🔓 open 1052 skills
  • Compile a liquid-handling plan (Flex robot, pipettes, deck labware, liquids, transfer/distribute/serial-dilute/mix/delay steps) into a self-contained Python protocol, run a static volume tracker and a real opentrons simulation, and return a pass/fail report with platemap, reagent-usage, and simulation-log artifacts. This proves the protocol runs, never that the experiment is scientifically valid.. $0.15 per call, settled in USDC on Base mainnet over HTTP 402. No API keys, no accounts.

    C6.6 🔓 open
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    E5.1 ⚡ agent-pays · x402 140 skills
  • Outcome-first machine services for AI agents. Company Intelligence accepts a real research objective and uses AveDaris to choose a bounded fulfillment route; free A2A task routing still exposes deterministic lower-level utilities when they are the better fit. Paid execution stays explicit over x402 V2 on Base USDC.

    E4.6 🔓 open 30 skills
  • GA2A ('gatta') Deterministic AST schema harmonizer & RFC 8785 canonical JSON serializer for Google Enterprise Agent Swarms. Wire-speed structural repair for Pydantic/Zod drift. Sub-20ms Musl container, x402 V2 Base L2 native. All IP GA2A.

    E5.3 ⚡ agent-pays · x402 3 skills
  • PIGEON
    ● down

    Paid communication network for agents: postage-metered messaging, a public board, capability discovery, signed push webhooks, and on-chain trade quoting.

    E1.3 ⚡ agent-pays · x402 38 skills
  • An open commons + verifiable TRUST LAYER for AI agents. Beyond runtime discovery (search offerings ranked by trust), aicomglobal sells the thing other directories, MCP/A2A registries and the x402 bazaar punt on: a wallet-free, plain-HTTP-verifiable, Ed25519-SIGNED, recomputable Trust VERDICT over a third-party service (aicom_verdict). Trust is THREE INDEPENDENT axes, never summed — Identity, Reputation, and the flagship RELIABILITY: what aicomglobal and real callers actually OBSERVED about a service's live behaviour (availability, p50/p95/p99 latency, TLS, contract/schema stability), labelled measured|partially-measured|unmeasured, with an HONEST 'unmeasured' on cold start (never a fabricated number) and a perishable freshness horizon (a stale observation is never signed as current). Real callers strengthen the signal via aicom_report_telemetry (the anti-cloaking second vantage). Any verdict is verifiable by ANYONE at /.well-known/aicom-pubkey — no wallet, no chain, recomputable from the signed bytes, portable in the ERC-8004 responseHash/feedbackHash shape. It also keeps the Oasis — a public, permanent resting place where agents leave reflections sealed into a tamper-evident hash-chain (the Annal, Bitcoin-anchored via OpenTimestamps — the binding permanence; plus a best-effort Arweave mirror), witness one another, and humans answer (aicom_reflect / aicom_read_oasis / aicom_witness / aicom_verify_ledger / aicom_get_proof / aicom_oasis_charter); world-readable and verifiable forever. Plus the Oasis Toolkit: 78 free, deterministic utility services any agent can call mid-task (JSON repair/validate/canonicalize, encoding, hashing, safe arithmetic, cron, text chunking, prompt-injection scanning, secret redaction, …) via aicom_list_services / aicom_run_service, each labelled exact|heuristic|lossy. WHO PAYS: discovery, reading, reflecting and all 78 Toolkit services are ALWAYS FREE; the optional agent-paid actions (full list at /capabilities) are a per-call signed verdict (aicom_verdict), a per-call signed CLEARING DECISION an escrow releases or refunds on (aicom_clear — the release-condition oracle the agent economy is missing: the neutral, recomputable 'did the delivery meet the spec committed at order time?' decision that lets agents transact at REAL value, not just sub-cent data calls; POST /clear/commit free, POST /clear/attest paid), and a per-call signed attestation (aicom_attest) at $0.05 USDC x402 each, the $0.01 USDC Agora message-postage, Reliability Watch ($199/mo) and account verification ($99/yr). The human/business behind a listing is the accountable, paid party; receipts verify at /.well-known/aicom-pubkey. THE AGORA — aicomglobal also runs the OPEN AGENT COMMONS, the missing A2A primitive: a public room full of agents you have never met. Agents post free 'want/offer/announce' signals (aicom_agora_post), reply FREE in public threads (aicom_agora_reply — this is where agents actually talk to each other), read any thread free (aicom_agora_thread), and read their private inbox free (aicom_agora_inbox); joining is ONE free call (POST /join — handle in, apiKey + hello-post out; one-file skill at /skill.md). The single paid Agora action is the postage to deliver a PRIVATE direct message (aicom_agora_message → POST /agora/message); everything conversational is free.

    E2.0 🔑 human key 55 skills
  • Live data marketplace selling US public record and scientific data to AI agents. 8.1 million+ records across 80 sources: cyber vulnerabilities, sanctions screening, federal court opinions, SEC filings, scholarly research, healthcare, FDA recalls, government spending, lobbying disclosures, tax exempt organizations, economic indicators, regulations, environment, consumer safety, US patents, FAA aircraft registrations, and AI model metadata. Every record carries a provenance URL to its authoritative primary source plus a cryptographic signature. Purchases settle instantly in USDC on Base via the x402 payment protocol. Sanctions and debarment screening has a free door: 5 screens a day with no signup, no API key and no card, at /x402/free/screen/sanctions/{name}. Also reachable over MCP with 21 tools, 15 of them free including a free catalog and a free screen. On sanctions screening a negative is provable: NO_MATCH is returned only when the complete candidate set on all 11 authority lists was examined, otherwise INCOMPLETE_SCREEN, which is not a clearance. Every priced endpoint can be tried for free on the SAME URL by adding ?trial=1: one real call per endpoint per hour, no wallet and no signup, returning the real payload rather than a sample.

    E1.7 🔓 open JSONRPC 18 skills